//
//  ViewController.m
//  NewIoTOC
//
//  Created by 郑家柱 on 2019/9/24.
//  Copyright © 2019 iflytek. All rights reserved.
//

#import "ViewController.h"
#import <IoTFramework/IoTFramework.h>

@interface ViewController () <IoTInstanceDelegate>

@end

@implementation ViewController

- (void)viewDidLoad {
    [super viewDidLoad];
    // Do any additional setup after loading the view.
    
    IoTInstance *instance = [IoTInstance sharedInstance];
    instance.delegate = self;
    IoTConfig *config = [[IoTConfig alloc] initWithHost:@"linkapi.xfyun.cn" port:1883 productKey:@"AE73474ED1D2474BA254FD7870F365FB" deviceName:@"notice_target_bbb" deviceSecret:@"6D82971EE3F44D1699D4B60CDFBE6FEE" clientId:@"iotdemo" keepAlive:20];
    [instance iotConfigParamsWithConfig:config];
    BOOL isOK = [instance connect];
    NSLog(@"connect status:%d", isOK);
    
    NSLog(@"iot connect state:%d", instance.connState);
    
    dispatch_after(dispatch_time(DISPATCH_TIME_NOW, (int64_t)(5 * NSEC_PER_SEC)), dispatch_get_main_queue(), ^{
        NSDictionary<NSString *, id> *dict = @{@"WorkMode": @2};
        [instance uploadPropertiesWithProperties:dict];
    });
    
    dispatch_after(dispatch_time(DISPATCH_TIME_NOW, (int64_t)(10 * NSEC_PER_SEC)), dispatch_get_main_queue(), ^{
        NSDictionary<NSString *, id> *dict = @{@"WorkMode": @2};
        [instance uploadEventsWithEvents:dict event: [config transormUpload]];
    });
    
    dispatch_after(dispatch_time(DISPATCH_TIME_NOW, (int64_t)(30 * NSEC_PER_SEC)), dispatch_get_main_queue(), ^{
        [instance disconnect];
    });
}

- (void)iotConnect:(IoTInstance *)iot {
    NSLog(@"iot connect success");
}

- (void)iotDisconnect:(IoTInstance *)iot {
    NSLog(@"iot disconnect success");
}

- (NSDictionary<NSString *, id> *)iotGet:(IoTInstance *)iot properties:(NSArray<NSString *> *)properties {
    
    NSMutableDictionary<NSString *, id> *dict = [NSMutableDictionary dictionary];
    if ([properties containsObject:@"PowerSwitch"]) {
        [dict setObject:@YES forKey:@"PowerSwitch"];
    }
    return dict;
}

- (NSString *)iotSet:(IoTInstance *)iot properties:(NSDictionary<NSString *, id> *)properties {
    return @"ios set success";
}

- (NSString *)iotNotice:(IoTInstance *)iot messages:(NSDictionary<NSString *, id> *)messages {
    NSLog(@"iot notice messages:%@", messages);
    return @"iot notice success";
}

- (void)iotUpload:(IoTInstance *)iot messages:(NSDictionary<NSString *,id> *)messages type:(enum IoTUploadType)type {
    NSLog(@"iot upload reply messages:%@", messages);
}

@end
